/**
 Formidable Forms (Works best with theme styles if you disable Formidable Styles for each form)
**/

/* Progress Bar */
.frm_forms .frm_progress_line input, .frm_forms .frm_progress_line input:disabled{ height: 20px; }
.frm_forms .frm_progress_line.frm_show_lines input{ border-radius: 0; }

/* Field Submission Error Message */
.frm_error{ color: red; font-size: 0.8em; text-transorm: uppercase; }

/* Field spacing and column Layouts */
.frm_form_field{ margin-top: 15px; margin-bottom: 15px; }

div.frm_primary_label{ margin-top: 6px; } /* Try to match with <label> elements */
input.frm_other_input{ margin-top: 5px; }

.frm_form_field input[type="checkbox"] + label,
.frm_form_field input[type="radio"] + label{
	font-size: 0.9em; /* fixes vertical alignment */
  margin-left: 13px !important;
}

/* File Upload */
.frm_dropzone.frm_single_upload{ width: auto; max-width: 100%; }

/* Repeater Field Buttons */
.frm_repeat_buttons{ clear:both; }

/* Paging Prev/Next buttons */
.frm_submit{ clear:both; padding-top: 30px; text-align:center; }

/* Ensure BB styles don't override hidden fields */
input[type="text"].frm_pos_none{ display:none; }

/* Range / Sliders */
.frm_range_unit{ margin: 0 3px; }
.frm_range_container input[type="range"]{ 
  width: 75%; 
  display: block;
}

.frm_form_fields .frm_description .frm_range_max{
  float:right;
  margin-right: 25%; /* 100 minus the width above */
}

/* Date Picker */

.ui-datepicker{ border: none; }
.ui-datepicker table{ width: 100.2%; } /* weird display glitch fix */

/* Month and Year Selections*/
.ui-datepicker .ui-widget-header, .ui-datepicker .ui-datepicker-header{ 
	background-color: #AAA !important;
}

/* Current Selected Day, Day header: Su, Mo, Tu, etc., Hovered day square */
.ui-datepicker td.ui-datepicker-current-day, 
.ui-datepicker td .ui-state-hover, 
.ui-datepicker thead{ 
	background-color: #AAA !important;
}

/* Fix inline field display bugs */
.frm_fields_container .frm_full > .frm_inline_container > input:not([type="checkbox"]):not([type="radio"]):not([type="button"]),
.frm_form_field.frm_inline_container input,
.horizontal_radio input[type=text]:not(.frm_pos_none){
  width: auto !important; 
  display:inline;
  margin-left:5px;
}

/* Stripe CC Form Field */
.frm-card-element.StripeElement{
  padding: 0.85em;
}

/* Recaptcha */
.frm_form_field .g-recaptcha > div{ margin: auto; }


/**
 * Submit button
 */
.frm_style_formidable-style.with_frm_style .frm_submit button{
	box-shadow: none;
}